\begin{tikzpicture}
  \tikzset{
    block/.style={
      rectangle, draw, ultra thick, text width=5em, text centered,
      rounded corners, minimum height=3em
    }
  }

  % Supervisor
  \node [block, fill=yellow!50] (path_divider) {Path Divider};
  \node [block, fill=yellow!50, below=of path_divider] (motion_controller) {Motion Controller};
  \node [block, fill=yellow!50, below=of motion_controller] (mission_controller) {Mission Controller};

  \node [anchor=south] at ([yshift=1em]path_divider.north) {\large \textbf{Supervisor}};

  % Segments Navigator 1
  \node [block, fill=red!30, right=4em of path_divider] (segments_navigator_1)
    {Segments Navigator 1};

  \node [anchor=south, text width=6em, text centered] at
  (segments_navigator_1.north) {\large \textbf{Robot Navigator 1}};

  % Segments navigator N
  \node [block, fill=red!30, right=4em of mission_controller] (segments_navigator_n)
    {Segments Navigator N};

  \node [anchor=south, text width=6em, text centered] at
  (segments_navigator_n.north) {\large \textbf{Robot Navigator N}};

  % Dots to indicate continuation
  \node [anchor=south] (dots) at
  ($(segments_navigator_1)!0.5!(segments_navigator_n)$) {\huge ...};

  % Arrows from Supervisor to Segments Navigators
  \draw[->, ultra thick]
  ([xshift=1em, yshift=-0.5em]path_divider.east)
  --
  ([xshift=-1em, yshift=-0.5em]segments_navigator_1.west);
  \draw[<-, ultra thick]
  ([xshift=1em, yshift=0.5em]path_divider.east)
  --
  ([xshift=-1em, yshift=0.5em]segments_navigator_1.west);

  \draw[->, ultra thick]
  ([xshift=1em, yshift=-0.5em]mission_controller.east)
  --
  ([xshift=-1em, yshift=-0.5em]segments_navigator_n.west);
  \draw[<-, ultra thick]
  ([xshift=1em, yshift=0.5em]mission_controller.east)
  --
  ([xshift=-1em, yshift=0.5em]segments_navigator_n.west);

  % Mobile robot 1
  \node [block, fill=cyan!50, right=4em of segments_navigator_1] (path_planner_1) {Path Planner};
  \node [block, fill=cyan!50, right=of path_planner_1] (path_follower_1) {Path Follower};

  \node [anchor=south, text width=10em, text centered]
  at ([yshift=1em]$(path_planner_1.north)!0.5!(path_follower_1.north)$) {\large \textbf{Mobile Robot 1}};

  % Mobile robot N
  \node [block, fill=cyan!50, right=4em of segments_navigator_n] (path_planner_n) {Path Planner};
  \node [block, fill=cyan!50, right=of path_planner_n] (path_follower_n) {Path Follower};

  \node [anchor=south, text width=10em, text centered]
  at ([yshift=1em]$(path_planner_n.north)!0.5!(path_follower_n.north)$) {\large \textbf{Mobile Robot N}};

  % Dots to indicate continuation
  \node [anchor=south] (dots)
  at ($(path_planner_1.south)!0.5!(path_follower_n.north)$) {\huge ...};

  % Arrows from Segments Navigators to Mobile Robots
  \draw[->, ultra thick]
  ([xshift=1em, yshift=-0.5em]segments_navigator_1.east)
  --
  ([xshift=-1em, yshift=-0.5em]path_planner_1.west);
  \draw[<-, ultra thick]
  ([xshift=1em, yshift=0.5em]segments_navigator_1.east)
  --
  ([xshift=-1em, yshift=0.5em]path_planner_1.west);

  \draw[->, ultra thick]
  ([xshift=1em, yshift=-0.5em]segments_navigator_n.east)
  --
  ([xshift=-1em, yshift=-0.5em]path_planner_n.west);
  \draw[<-, ultra thick]
  ([xshift=1em, yshift=0.5em]segments_navigator_n.east)
  --
  ([xshift=-1em, yshift=0.5em]path_planner_n.west);

  \begin{scope}[on behind layer]
    % Supervisor Region
    \filldraw[fill=yellow!20, draw=black, rounded corners, dashed]
    ([xshift=-1em, yshift=3em]path_divider.north west) 
    rectangle
    ([xshift=1em, yshift=-1em]mission_controller.south east);

    % Navigator 1 Region
    \filldraw[fill=red!10, draw=black, rounded corners, dashed]
    ([xshift=-1em, yshift=3em]segments_navigator_1.north west) 
    rectangle
    ([xshift=1em, yshift=-1em]segments_navigator_1.south east);

    % Navigator N Region
    \filldraw[fill=red!10, draw=black, rounded corners, dashed]
    ([xshift=-1em, yshift=3em]segments_navigator_n.north west) 
    rectangle
    ([xshift=1em, yshift=-1em]segments_navigator_n.south east);

    % Mobile Robot 1 Region
    \filldraw[fill=cyan!20, draw=black, rounded corners, dashed]
    ([xshift=-1em, yshift=3em]path_planner_1.north west)
    rectangle
    ([xshift=1em, yshift=-1em]path_follower_1.south east);

    % Mobile Robot N Region
    \filldraw[fill=cyan!20, draw=black, rounded corners, dashed]
    ([xshift=-1em, yshift=3em]path_planner_n.north west)
    rectangle
    ([xshift=1em, yshift=-1em]path_follower_n.south east);
  \end{scope}

  \begin{scope}[on background layer]
    % DES Region
    \filldraw[fill=white, opacity=1.0, draw=black, rounded corners, dashed]
    ([xshift=-2em, yshift=4em]path_divider.north west)
    rectangle
    ([xshift=-2em, yshift=-2em]segments_navigator_n.south);

    % CTS Region
    \filldraw[fill=white, opacity=1.0, draw=black, rounded corners, dashed]
    ([xshift=2em, yshift=4em]segments_navigator_1.north)
    rectangle
    ([xshift=2em, yshift=-2em]path_follower_n.south east);
  \end{scope}
\end{tikzpicture}
